Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class CardInfoType

    java.lang.Object
      nz.co.cks.tms.xml.CardInfoType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CardInfo

public abstract class CardInfoType
extends java.lang.Object
implements java.io.Serializable

Class CardInfoType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `_cardHolderName` Field _cardHolderName
`private java.lang.String` | `_cardName` Field _cardName
`private java.lang.String` | `_cardNumber` Field _cardNumber
`private java.lang.String` | `_expiryDate` Field _expiryDate

Constructor Summary
`CardInfoType()`

Method Summary
`java.lang.String` | `getCardHolderName()` Method getCardHolderNameReturns the value of field 'cardHolderName'.
`java.lang.String` | `getCardName()` Method getCardNameReturns the value of field 'cardName'.
`java.lang.String` | `getCardNumber()` Method getCardNumberReturns the value of field 'cardNumber'.
`java.lang.String` | `getExpiryDate()` Method getExpiryDateReturns the value of field 'expiryDate'.
`boolean` | `isValid()` Method isValid
`void` | `setCardHolderName(java.lang.String cardHolderName)` Method setCardHolderNameSets the value of field 'cardHolderName'.
`void` | `setCardName(java.lang.String cardName)` Method setCardNameSets the value of field 'cardName'.
`void` | `setCardNumber(java.lang.String cardNumber)` Method setCardNumberSets the value of field 'cardNumber'.
`void` | `setExpiryDate(java.lang.String expiryDate)` Method setExpiryDateSets the value of field 'expiryDate'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _cardHolderName

    private java.lang.String _cardHolderName

  Field _cardHolderName

### _cardName

    private java.lang.String _cardName

  Field _cardName

### _cardNumber

    private java.lang.String _cardNumber

  Field _cardNumber

### _expiryDate

    private java.lang.String _expiryDate

  Field _expiryDate

Constructor Detail

### CardInfoType

    public CardInfoType()

Method Detail

### getCardHolderName

    public java.lang.String getCardHolderName()

  Method getCardHolderNameReturns the value of field 'cardHolderName'.

  Returns:
    the value of field 'cardHolderName'.

### getCardName

    public java.lang.String getCardName()

  Method getCardNameReturns the value of field 'cardName'.

  Returns:
    the value of field 'cardName'.

### getCardNumber

    public java.lang.String getCardNumber()

  Method getCardNumberReturns the value of field 'cardNumber'.

  Returns:
    the value of field 'cardNumber'.

### getExpiryDate

    public java.lang.String getExpiryDate()

  Method getExpiryDateReturns the value of field 'expiryDate'.

  Returns:
    the value of field 'expiryDate'.

### isValid

    public boolean isValid()

  Method isValid

### setCardHolderName

    public void setCardHolderName(java.lang.String cardHolderName)

  Method setCardHolderNameSets the value of field 'cardHolderName'.

  Parameters:
    `cardHolderName` - the value of field 'cardHolderName'.

### setCardName

    public void setCardName(java.lang.String cardName)

  Method setCardNameSets the value of field 'cardName'.

  Parameters:
    `cardName` - the value of field 'cardName'.

### setCardNumber

    public void setCardNumber(java.lang.String cardNumber)

  Method setCardNumberSets the value of field 'cardNumber'.

  Parameters:
    `cardNumber` - the value of field 'cardNumber'.

### setExpiryDate

    public void setExpiryDate(java.lang.String expiryDate)

  Method setExpiryDateSets the value of field 'expiryDate'.

  Parameters:
    `expiryDate` - the value of field 'expiryDate'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD